Package weka.core

# Class ChebyshevDistance

java.lang.Object
weka.core.NormalizableDistance
weka.core.ChebyshevDistance

All Implemented Interfaces:
  `Serializable`, `DistanceFunction`, `OptionHandler`, `RevisionHandler`, `TechnicalInformationHandler`

public class ChebyshevDistance extends NormalizableDistance implements TechnicalInformationHandler
Implements the Chebyshev distance. The distance between two vectors is the greatest of their differences along any coordinate dimension.
For more information, see:
Wikipedia. Chebyshev distance. URL http://en.wikipedia.org/wiki/Chebyshev_distance.

BibTeX:

     @misc{missing_id,
        author = {Wikipedia},
        title = {Chebyshev distance},
        URL = {http://en.wikipedia.org/wiki/Chebyshev_distance}
     }

Valid options are:

     -D
      Turns off the normalization of attribute
      values in distance calculation.

     -R <col1,col2-col4,...>
      Specifies list of columns to used in the calculation of the
      distance. 'first' and 'last' are valid indices.
      (default: first-last)

     -V
      Invert matching sense of column indices.

Version:
  $Revision: 8034 $
Author:
  Fracpete (fracpete at waikato dot ac dot nz)
See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class weka.core.NormalizableDistance

  `R_MAX, R_MIN, R_WIDTH`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChebyshevDistance()`
  Constructs an Chebyshev Distance object, Instances must be still set.
  `ChebyshevDistance(Instances data)`
  Constructs an Chebyshev Distance object and automatically initializes the ranges.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getRevision()`
  Returns the revision string.
  `TechnicalInformation`
  `getTechnicalInformation()`
  Returns an instance of a TechnicalInformation object, containing detailed information about the technical background of this class, e.g., paper reference or book this class is based on.
  `String`
  `globalInfo()`
  Returns a string describing this object.

  ### Methods inherited from class weka.core.NormalizableDistance

  `attributeIndicesTipText, clean, distance, distance, distance, distance, dontNormalizeTipText, getAttributeIndices, getDontNormalize, getInstances, getInvertSelection, getOptions, getRanges, initializeRanges, initializeRanges, initializeRanges, initializeRangesEmpty, inRanges, invertSelectionTipText, listOptions, postProcessDistances, rangesSet, setAttributeIndices, setDontNormalize, setInstances, setInvertSelection, setOptions, toString, update, updateRanges, updateRanges, updateRanges, updateRangesFirst`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ChebyshevDistance

    public ChebyshevDistance()
    Constructs an Chebyshev Distance object, Instances must be still set.

  - ### ChebyshevDistance

    public ChebyshevDistance(Instances data)
    Constructs an Chebyshev Distance object and automatically initializes the ranges.
    Parameters:
      `data` - the instances the distance function should work on

- ## Method Details

  - ### globalInfo

    public String globalInfo()
    Returns a string describing this object.
    Specified by:
      `globalInfo` in class `NormalizableDistance`
    Returns:
      a description of the evaluator suitable for displaying in the explorer/experimenter gui

  - ### getTechnicalInformation

    public TechnicalInformation getTechnicalInformation()
    Returns an instance of a TechnicalInformation object, containing detailed information about the technical background of this class, e.g., paper reference or book this class is based on.
    Specified by:
      `getTechnicalInformation` in interface `TechnicalInformationHandler`
    Returns:
      the technical information about this class

  - ### getRevision

    public String getRevision()
    Returns the revision string.
    Specified by:
      `getRevision` in interface `RevisionHandler`
    Returns:
      the revision